Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.errors
Class Handler

    java.lang.Object
      com.sun.tdk.signaturetest.errors.Handler

    public abstract class Handler

extends java.lang.Object

Field Summary
`protected static java.util.ArrayList` | `EMPTY_ARRAY_LIST`

Constructor Summary
`Handler()`

Method Summary
`protected boolean` | `canBeSubclassed(java.lang.String className, ClassHierarchy clHier)`
`protected java.util.logging.Level` | `getLevel()`
`protected boolean` | `isAssignableTo(java.lang.String origType, java.lang.String newType, ClassHierarchy clHier)`
`protected void` | `setLevel(java.util.logging.Level level)`
`protected void` | `setMessageLevel(ErrorFormatter.Message m)`
`Handler` | `setNext(Handler h)`
`protected static java.util.ArrayList` | `stringToArrayList(java.lang.String source, java.lang.String delimiter)`
`protected abstract void` | `writeMessage(java.util.List l, Chain ch)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_ARRAY_LIST

    protected static final java.util.ArrayList EMPTY_ARRAY_LIST

Constructor Detail

### Handler

    public Handler()

Method Detail

### setNext

    public Handler setNext(Handler h)

### writeMessage

    protected abstract void writeMessage(java.util.List l,
                                         Chain ch)

### stringToArrayList

    protected static java.util.ArrayList stringToArrayList(java.lang.String source,
                                                           java.lang.String delimiter)

### canBeSubclassed

    protected boolean canBeSubclassed(java.lang.String className,
                                      ClassHierarchy clHier)

### isAssignableTo

    protected boolean isAssignableTo(java.lang.String origType,
                                     java.lang.String newType,
                                     ClassHierarchy clHier)

### getLevel

    protected java.util.logging.Level getLevel()

### setLevel

    protected void setLevel(java.util.logging.Level level)

### setMessageLevel

    protected void setMessageLevel(ErrorFormatter.Message m)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD